dnf upgrade problem

when issuing the command dnf upgrade on centos 8 I receive the following: Error: Problem 1: package net-snmp-perl-1:5.8-7.el8.2.x86_64 requires net-snmp-agent-libs(x86-64) = 1:5.8-7.el8.2, but none of the providers can be installed – cannot install both net-snmp-agent-libs-1:5.8-10.el8.x86_64 and net-snmp-agent-libs-1:5.8-7.el8.2.x86_64 – cannot install both net-snmp-agent-libs-1:5.8-7.el8.2.x86_64 and net-snmp-agent-libs-1:5.8-10.el8.x86_64 – cannot install the best update candidate for package net-snmp-perl-1:5.8-7.el8.2.x86_64 -…

Details

How can I ignore binary caches when running nix-channel commands?

Quite often, I’m away from home where I have a binary cache set for 192.168.0.6 and I run into errors like so: sudo nix-channel –update unpacking channels… warning: unable to download ‘http://192.168.0.6:8899/nix-cache-info’: Couldn’t connect to server (7); retrying in 305 ms warning: unable to download ‘http://192.168.0.6:8899/nix-cache-info’: Couldn’t connect to server (7); retrying in 693 ms…

Details